Results 1 to 7 of 7

Thread: Quick adding of multiple closed polyline areas

  1. #1
    Member
    Join Date
    2002-02
    Posts
    12
    Login to Give a bone
    0

    Default Quick adding of multiple closed polyline areas

    Hi,
    I am working on large site development with lots of independent landscaped areas.
    I currently use the AREA command routine to add them all up.
    Does anybody know of a routine that would allow me to select all the closed polylines and return their total area?

    Thank you for any input in that matter
    Cord Blendermann

  2. #2
    AUGI Addict
    Join Date
    2015-12
    Location
    Arizona
    Posts
    2,478
    Login to Give a bone
    0

    Default Re: Quick adding of multiple closed polyline areas

    Cord,

    If you had access to MAP you could query all those areas
    and export the results to excel and or label them in about 45 seconds.
    I know you asked for lisp, this is just another option.

  3. #3
    Member
    Join Date
    2002-02
    Posts
    12
    Login to Give a bone
    0

    Talking Re: Quick adding of multiple closed polyline areas

    Thanks for the replies, the LISP routine worked great.
    Good Day to ALL
    Cord b.

  4. #4
    Past Vice President / AUGI Volunteer peter's Avatar
    Join Date
    2000-09
    Location
    Honolulu HI
    Posts
    1,126
    Login to Give a bone
    0

    Post Re: Quick adding of multiple closed polyline areas


    Another way using activex and including circles and ellipses

    Peter Jamtgaard

    Code:
    (defun C:plArea (/ intCount entSelection lstEntity objSelection
    	 ssSelections )
     (princ "\nSelect Polylines: ")
     (setq ssSelections (ssget (list (cons 0 "*polyline,circle,ellipse")))
    	   sngTotal	 0
     )
     (repeat (setq intCount (sslength ssSelections))
      (setq intCount	 (1- intCount)
    	entSelection (ssname ssSelections intCOunt)
    	objSelection (vlax-ename->vla-object entSelection)
      )
      (setq sngTotal (+ sngTotal (vla-get-area objSelection)))
     )
     (princ "\n")
     (princ sngTotal)
     (princ " sq. inches")
     (princ "\n")
     (princ (/ sngTotal 144.0))
     (princ " sq. feet") 
     (princ)
    )

  5. #5
    Member
    Join Date
    2007-11
    Posts
    2
    Login to Give a bone
    0

    Default Re: Quick adding of multiple closed polyline areas

    Is there a way to only choose the area of a polyline on a certain layer? I am assuming (because I am fairly new to this) that the 0 is dxf for type of entity. How would I query for all polylines', circles' and ellipses' area on the layer FPL-Area? Thanks. I hope this makes sense.

    Sassy

  6. #6
    Administrator rkmcswain's Avatar
    Join Date
    2004-09
    Location
    Earth
    Posts
    9,830
    Login to Give a bone
    0

    Default Re: Quick adding of multiple closed polyline areas

    Quote Originally Posted by susanr View Post
    Is there a way to only choose the area of a polyline on a certain layer? I am assuming (because I am fairly new to this) that the 0 is dxf for type of entity. How would I query for all polylines', circles' and ellipses' area on the layer FPL-Area? Thanks. I hope this makes sense.

    Sassy
    Rather than add on to a 3.5 year old thread, you might have better luck posting a new thread.

    But to answer your question with psuedocode

    Use (ssget) with filters to filter out polylines, circles and ellipses on the layer FPL-Area layer.
    Then iterate this selection set, querying the area of each object and adding to the total.
    R.K. McSwain | CAD Panacea |

  7. #7
    Member
    Join Date
    2007-11
    Posts
    2
    Login to Give a bone
    0

    Default Re: Quick adding of multiple closed polyline areas

    Thank you.

    Sassy

Similar Threads

  1. 2015: Adding the same contour polyline to a surface multiple times
    By dpresley58437170 in forum AutoCAD Civil 3D - Surfaces
    Replies: 3
    Last Post: 2015-02-27, 05:01 AM
  2. Replies: 6
    Last Post: 2014-07-12, 08:07 AM
  3. ssget closed polyline
    By rad.77676 in forum AutoLISP
    Replies: 31
    Last Post: 2009-04-16, 07:26 AM
  4. C# - closed Polyline length
    By RoSiNiNo in forum ARX
    Replies: 1
    Last Post: 2005-03-02, 03:17 PM
  5. Getting the centroid of closed polyline
    By csgohjmj in forum AutoLISP
    Replies: 24
    Last Post: 2004-10-15, 06:01 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •